// Copyright (C) 2020 Daniel Mall
#pragma once
#include "sokol_app.h"
#include "sokol_gfx.h"

class CDemoBase
{
public:
	CDemoBase();
	virtual ~CDemoBase();
	virtual void Frame() = 0;
	virtual void EventInput(const sapp_event* event) {};
	virtual void PassAction(sg_pass_action& passAction) {};
	virtual void Activate() {};
	virtual void Deactivate() {};
};
